# $Revision: 1.9 $, $Date: 2004/10/06 23:07:31 $
%define		realname		libiconv
Summary:	Character set conversion library - mingw32 cross version
Summary(pl):	Biblioteka konwersji zestaww znakw - wersja skrona dla mingw32
Name:		crossmingw32-%{realname}
Version:	1.9.2
Release:	3
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/gnu/libiconv/%{realname}-%{version}.tar.gz
# Source0-md5:	6bc300365053c815b10b800a21e0bc7e
Patch0:		%{name}.patch
URL:		http://www.gnu.org/software/libiconv/
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32
%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}

%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
The libiconv library provides an iconv() implementation, for use on
systems which don't have one, or whose implementation cannot convert
from/to Unicode.

This package contains the cross version for mingw32.

%description -l pl
Ta biblioteka dostarcza implementacj iconv() do uywania z systemami,
ktre takiej funkcji nie posiadaj, lub na ktrych implementacja nie
potrafi konwertowa z/do Unikodu.

Ten pakiet zawiera wersj skron dla mingw32.

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
%{realname} - DLL library for Windows.

%description dll -l pl
%{realname} - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub libcharset/autoconf
cp -f /usr/share/automake/config.sub autoconf
%configure \
	AR="%{target}-ar" \
	RANLIB="%{target}-ranlib" \
	--target="%{target}" \
	--host="%{target_platform}" \
	--enable-static

%{__make}

%if 0%{!?debug:1}
%{target}-strip {,libcharset/}lib/.libs/*.dll
%{target}-strip -g -R.comment -R.note {,libcharset/}lib/.libs/*.a
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install {,libcharset/}lib/.libs/*.dll $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/*
%{_includedir}/*.h

%files dll
%defattr(644,root,root,755)
%{_datadir}/wine/windows/system/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-libiconv.spec,v $
Revision 1.9  2004/10/06 23:07:31  havner
- rel 3

Revision 1.8  2004/10/06 23:01:30  havner
- fixed config.sub location

Revision 1.7  2004/09/19 23:11:51  wolf
- rel 2
- amd64
- unified

Revision 1.6  2004/09/19 22:50:53  wolf
- alphasparc fix

Revision 1.5  2004/01/27 21:05:08  qboosh
- updated to 1.9.2

Revision 1.4  2003/12/01 21:40:31  qboosh
- updated to 1.9.1, updated patch, fixed files, don't include PE executables

Revision 1.3  2003/10/21 20:21:01  qboosh
- pl, removed bogus changelog, BR: crossmingw32-gcc

Revision 1.2  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.1  2003/08/25 20:36:16  ggodlewski
- 1st release
